QGIS Application - Feature request #5656
Print Composer Rulers + Guides
2012-05-28 10:19 AM - Antonio Locandro

Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 15212
Description

Can we add guides and ruler to print composer? This would be great when creating a map for print. One should be able to select inches,
centimetres or points as well as the smallest division for rulers plus the ability to hide or show both rulers and guides. Added a screenshot
of what the rulers and guides could look like

Associated revisions

Revision 097a1954 - 2013-12-29 04:01 AM - Nyall Dawson

[composer] Improve appearance of rulers, add small tick marks to ruler (fix #5656)

History

#1 - 2012-05-28 10:25 AM - Paolo Cavallini

Snapping to grid is available already.

#2 - 2012-05-28 10:33 AM - Giovanni Manghi

- Category set to 33

- Status changed from Open to Feedback

#3 - 2012-05-28 10:35 AM - Antonio Locandro

Yeah, not really as useful since the Guides are for "Guiding", plus | just set my units to inch and the snap to grid continues to work on mm. Pretty much the

ruler and guides are standard to most CAD/GIS/Graphic Design. You can change the priority to Low if you wish, but | would consider this an enhancement

#4 - 2012-05-28 10:42 AM - Antonio Locandro

Plus try to create a Layout (Print Composer) with exact dimensions, a header line at 0.5 inch a footer line at 10.5 inch the data frame (‘canvas') to start at 1

inch for left margin and end at 10.5 inch for right margin. | would bet that is time consuming changing the grid spacing every time to achieve that result.

#5 - 2012-05-28 02:14 PM - Nathan Woodrow

| agree this would be a cool feature.

#6 - 2012-09-04 12:09 PM - Paolo Cavallini

- Target version set to Version 2.0.0
#7 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2013-04-02 07:50 AM - Antonio Locandro

So | have tried the guides and rulers added on master and they are an incredible addition to QGIS, its getting closer for me to recommend it for print
production | still would like to see the possibility to change the units from mm to inches and points, plus subdivisions, and the option to turn guides on/off to
see hoy the Layout looks without the guides in the middle.

Thanks a lot to the developer of this little piece of code, thanks him on my behalf

#9 - 2013-12-20 05:12 PM - Nyall Dawson
- Status changed from Feedback to In Progress

Everything here has been covered so far except print units in inches/points (duplicate of #7959 and #7367) and subdivisions in the composer ruler. I'm

working on that feature now.

#10 - 2013-12-28 07:24 PM - Nyall Dawson
- Status changed from In Progress to Closed

Fixed in changeset commit:"097a1954b7a66a90ceb7707bdf58db52740aeabd".
